| Web Services for Remote Management 14.0 Reference documentation for web service interfaces to support remote management of Symantec Endpoint Protection

- Home
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

List of all members | Public Member Functions
com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand Class Reference

Provides detailed information about the Evidence Of Compromise (EOC) command. More...

## Public Member Functions
String | getTargetObjectType ()
| Gets the target object type. More...
void | setTargetObjectType (String objectType)
| Sets the target object type. More...
String[] | getTargetObjectIds ()
| Gets a list of object IDs based on object type. More...
void | setTargetObjectIds (String[] objectIds)
| Sets the list of target object IDs based on object type. More...
byte[] | getInputEoCDataInXml ()
| Gets the content of the input Evidence of Compromise XML file. More...
void | setInputEoCDataInXml (byte[] inputFile)
| Sets the content of the Evidence of Compromise XML file. More...

## Detailed Description

Provides detailed information about the Evidence Of Compromise (EOC) command.

This object is passed as a parameter to the runClientCommandEvidenceOfCompromise method of the Command Service API. It specifies the target client computer or computer groups on which to run the command and the XML file that contains the list of individual EOC items.

## Member Function Documentation

String com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand.getTargetObjectType | ( |  | ) |

Gets the target object type.

One of the following:

- "GROUP"
- "COMPUTER"

Returns
  the targetObjectType string

void com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand.setTargetObjectType | ( | String | objectType | ) |

Sets the target object type.

Parameters

  objectType |

String [] com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand.getTargetObjectIds | ( |  | ) |

Gets a list of object IDs based on object type.

If object type = "COMPUTER" then the target object type contains a list of computer GUIDs. If object type = "GROUP" then the target object type contains the group GUID.

Returns
  the string that contains the target objects IDs

void com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand.setTargetObjectIds | ( | String[] | objectIds | ) |

Sets the list of target object IDs based on object type.

Parameters

  objectIds | a string that contains the target object IDs

byte [] com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand.getInputEoCDataInXml | ( |  | ) |

Gets the content of the input Evidence of Compromise XML file.

Note the following requirements for producing the EOC XML file:

- The file must be generated on a system that runs Windows XP or later. The OS language must be English.
- Only standard Windows installation pathnames are supported.
- Only UTF-8 character encoding is supported.

Tokenization support is provided so that the runClientCommandEvidenceOfCompromise() web method can be run on non-English clients.

Returns
  the byte array that contains the EOC file content

void com.symantec.sepm.webservice.client.command.EvidenceOfCompromiseCommand.setInputEoCDataInXml | ( | byte[] | inputFile | ) |

Sets the content of the Evidence of Compromise XML file.

Parameters

  inputFile | a byte array that contains the content of the EOC file